##
## $Id: Makefile.am,v 1.2 2001-09-27 12:02:01 chris Exp $
##

AUTOMAKE_OPTIONS = foreign 1.4

if HAS_RDBG
H_FILES = rdbg.h servrpc.h

noinst_HEADERS = $(H_FILES)

PREINSTALL_FILES += $(PROJECT_INCLUDE)/rdbg \
    $(noinst_HEADERS:%=$(PROJECT_INCLUDE)/rdbg/%)

$(PROJECT_INCLUDE)/rdbg:
	@$(mkinstalldirs) $@
$(PROJECT_INCLUDE)/rdbg/%.h: %.h
	$(INSTALL_DATA) $< $@
endif

all-local: $(PREINSTALL_FILES)

if HAS_RDBG
SUBDIRS = $(RTEMS_CPU)
endif

include $(top_srcdir)/../../../automake/subdirs.am
include $(top_srcdir)/../../../automake/local.am
